// import Vue from 'vue';
import Router from 'vue-router';
import _import from './_import.js';
// Vue.use(Router);

const errorPage = r => {
  import('view/errorPage/index.vue').then(module => {
    r(module);
  });
};

export const constantRouterMap = [
  {
    path: '/',
    name: '好办签到',
    redirect: '/signExport',
    component: _import('index', 'index')
  },
  {
    path: '/signExport',
    name: '好办签到',
    component: _import('index', 'index')
  },

  {
    path: '/403',
    name: '无权访问',
    component: errorPage
  },
  {
    path: '/404',
    name: 'error404',
    component: errorPage
  },
  {
    path: '/500',
    name: 'error500',
    component: errorPage
  },
  { path: '*', redirect: '/404', hidden: true }
];
export default new Router({
  // mode:'history',
  routes: constantRouterMap,
  scrollBehavior: () => ({ y: 0 })
});
